=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2012-07-19 16:39:48 +0000
+++ bzrlib/branch.py	2012-07-19 18:28:25 +0000
@@ -252,12 +252,11 @@
         """
         raise NotImplementedError(self._get_config)
 
-    def store_uncommitted(self, creator, message=None):
+    def store_uncommitted(self, creator):
         """Store uncommitted changes from a ShelfCreator.
 
         :param creator: The ShelfCreator containing uncommitted changes, or
             None to delete any stored changes.
-        :param message: The message to associate with the changes.
         :raises: ChangesAlreadyStored if the branch already has changes.
         """
         raise NotImplementedError(self.store_uncommitted)
@@ -2413,12 +2412,11 @@
         else:
             return self
 
-    def store_uncommitted(self, creator, message=None):
+    def store_uncommitted(self, creator):
         """Store uncommitted changes from a ShelfCreator.
 
         :param creator: The ShelfCreator containing uncommitted changes, or
             None to delete any stored changes.
-        :param message: The message to associate with the changes.
         :raises: ChangesAlreadyStored if the branch already has changes.
         """
         branch = self._uncommitted_branch()
@@ -2428,7 +2426,7 @@
         if branch._transport.has('stored-transform'):
             raise errors.ChangesAlreadyStored
         transform = StringIO()
-        creator.write_shelf(transform, message)
+        creator.write_shelf(transform)
         transform.seek(0)
         branch._transport.put_file('stored-transform', transform)
 

=== modified file 'bzrlib/remote.py'
--- bzrlib/remote.py	2012-07-19 16:41:41 +0000
+++ bzrlib/remote.py	2012-07-19 18:28:25 +0000
@@ -3393,9 +3393,9 @@
             self.conf_store =  RemoteBranchStore(self)
         return self.conf_store
 
-    def store_uncommitted(self, creator, message=None):
+    def store_uncommitted(self, creator):
         self._ensure_real()
-        return self._real_branch.store_uncommitted(creator, message)
+        return self._real_branch.store_uncommitted(creator)
 
     def get_unshelver(self, tree):
         self._ensure_real()

